////////////////////////////////////////////////////////////////////////////////
// DWEB - DATAWAREHOUSE ENGINEERING BENCHMARK - VERSION 0.31e - CLIENT        //
//----------------------------------------------------------------------------//
// AUTEURS : JOUBERT Bruno                                                    //
//           UNIVERSITE LYON 2 - MASTER IIDEE                                 //
//----------------------------------------------------------------------------//
// English translation by J. Darmont                                          //
// - Step 1: Interface (DONE)                                                 //
// - Step 2: Code/comments (TO DO)                                            //
//----------------------------------------------------------------------------//
// DESCRIPTION : Banc d'essai dcisionnel                                     //
//----------------------------------------------------------------------------//
// Cette application a pour but de permettre de mesurer les rponses          //
// d'un entrept synthtique                                                  //
////////////////////////////////////////////////////////////////////////////////

package dweb03client;

import java.io.*;
import javax.swing.filechooser.FileFilter;

public class FiltreFichiersSQL extends FileFilter {
  public boolean accept(File f) {
    if (f.isDirectory()) {
      return true;
    }
    else {
      String extension = getExtension(f);
      if (extension != null && extension.equals("sql"))
        return true;
      else
        return false;
    }
  }

  public String getDescription() {
    return "Fichiers SQL";
  }

  public static String getExtension(File f) {
    String ext = null;
    String s = f.getName();
    int i = s.lastIndexOf(".");
    if (i > 0 && i < s.length() - 1)
      ext = s.substring(i + 1, s.length()).toLowerCase();
    return ext;
  }
}
