////////////////////////////////////////////////////////////////////////////////
// DWEB - DATAWAREHOUSE ENGINEERING BENCHMARK - VERSION 0.31e - CLIENT        //
//----------------------------------------------------------------------------//
// AUTEURS : JOUBERT Bruno                                                    //
//           UNIVERSITE LYON 2 - MASTER IIDEE                                 //
//----------------------------------------------------------------------------//
// English translation by J. Darmont                                          //
// - Step 1: Interface (DONE)                                                 //
// - Step 2: Code/comments (TO DO)                                            //
//----------------------------------------------------------------------------//
// DESCRIPTION : Banc d'essai dcisionnel                                     //
//----------------------------------------------------------------------------//
// Cette application a pour but de permettre de mesurer les rponses          //
// d'un entrept synthtique                                                  //
////////////////////////////////////////////////////////////////////////////////

package dweb03client;

import javax.swing.UIManager;
import java.awt.*;

public class Application {
  boolean packFrame = false;

  //Construct the application
  public Application() {
    FRFenetrePrincipale frame = new FRFenetrePrincipale();
    //Validate frames that have preset sizes
    //Pack frames that have useful preferred size info, e.g. from their layout
    if (packFrame) {
      frame.pack();
    }
    else {
      frame.validate();
    }
    //Center the window
    Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
    Dimension frameSize = frame.getSize();
    if (frameSize.height > screenSize.height) {
      frameSize.height = screenSize.height;
    }
    if (frameSize.width > screenSize.width) {
      frameSize.width = screenSize.width;
    }
    frame.setLocation((screenSize.width - frameSize.width) / 2, (screenSize.height - frameSize.height) / 2);
    frame.setVisible(true);
  }

  //Main method
  public static void main(String[] args) {
    try {
      UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
    }
    catch(Exception e) {
      e.printStackTrace();
    }
    new Application();
  }
}
